Bug 743381 - anaconda should install grub-efi when doing an EFI install
anaconda should install grub-efi when doing an EFI install
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
Depends On: 743376
Blocks: F16Blocker/F16FinalBlocker
  Show dependency treegraph
Reported: 2011-10-04 14:01 EDT by Adam Williamson
Modified: 2011-10-24 23:33 EDT (History)
4 users (show)

See Also:
Fixed In Version: grub2-1.99-10.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-10-21 02:11:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2011-10-04 14:01:38 EDT
pjones wants to create a grub-efi package for EFI installs of F16 which will not conflict with grub2, so once that's done, anaconda should install that package when doing an EFI install. This change will have to be made to ensure EFI systems actually boot, so marking as release critical.
Comment 1 Fedora Update System 2011-10-06 17:20:07 EDT
grub2-1.99-7.fc16 has been submitted as an update for Fedora 16.
Comment 2 Adam Williamson 2011-10-07 13:34:15 EDT
Discussed at 2011-10-07 blocker review meeting. Accepted as a blocker per criterion "The installer must boot and run on systems using EFI other than Apple Macs". Note the grub2 update mentioned does not fix this bug, that was a mistake.
Comment 3 Fedora Update System 2011-10-08 19:35:52 EDT
Package grub2-1.99-7.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing grub2-1.99-7.fc16'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2011-10-11 15:16:06 EDT
grub2-1.99-8.fc16 has been submitted as an update for Fedora 16.
Comment 5 Adam Williamson 2011-10-14 14:59:55 EDT
Discussed at 2011-10-14 blocker review meeting. This will need re-testing with TC1.
Comment 6 Fedora Update System 2011-10-19 18:03:52 EDT
grub2-1.99-10.fc16 has been submitted as an update for Fedora 16.
Comment 7 Adam Williamson 2011-10-19 18:14:32 EDT
the fix is actually in -9, bodhi's just going nuts. tc1 is fine for testing this.
Comment 8 Adam Williamson 2011-10-21 02:11:12 EDT
after a fresh install of tc2 via EFI, grub-efi is installed, grub2 isn't, system boots. close!
Comment 9 Fedora Update System 2011-10-24 23:33:18 EDT
grub2-1.99-10.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.